actions: []
api_documentation: http://docs.ros.org/indigo/api/ecl_threads/html
authors: Daniel Stonier <d.stonier@gmail.com>
brief: ''
bugtracker: https://github.com/stonier/ecl_core/issues
depends:
- catkin
- ecl_build
- ecl_concepts
- ecl_config
- ecl_errors
- ecl_exceptions
- ecl_license
- ecl_time
- ecl_utilities
depends_on:
- ecl_core
- ecl_core_apps
- ecl_devices
- ecl_sigslots
- kobuki_auto_docking
- kobuki_dock_drive
- kobuki_keyop
- kobuki_node
- kobuki_random_walker
- kobuki_safety_controller
- mm_mux_demux
- mm_radio
- roch_safety_controller
- yocs_diff_drive_pose_controller
- yocs_keyop
- yocs_safety_controller
- yocs_velocity_smoother
description: "This package provides the c++ extensions for a variety of threaded \n\
  \     programming tools. These are usually different on different \n     platforms,\
  \ so the architecture for a cross-platform framework\n     is also implemented."
devel_jobs:
- http://build.ros.org/view/Idev/job/Idev__ecl_core__ubuntu_trusty_amd64
doc_job: http://build.ros.org/view/Idoc/job/Idoc__ecl_core__ubuntu_trusty_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Daniel Stonier <d.stonier@gmail.com>
metapackages:
- ecl_core
msgs: []
package_type: package
release_jobs:
- http://build.ros.org/view/Isrc_uT/job/Isrc_uT__ecl_threads__ubuntu_trusty__source
- http://build.ros.org/view/Ibin_arm_uThf/job/Ibin_arm_uThf__ecl_threads__ubuntu_trusty_armhf__binary
- http://build.ros.org/view/Ibin_uT32/job/Ibin_uT32__ecl_threads__ubuntu_trusty_i386__binary
- http://build.ros.org/view/Ibin_uT64/job/Ibin_uT64__ecl_threads__ubuntu_trusty_amd64__binary
repo_name: ecl_core
repo_url: https://github.com/stonier/ecl_core
srvs: []
timestamp: 1559883999.3398998
url: http://wiki.ros.org/ecl_threads
vcs: git
vcs_uri: https://github.com/stonier/ecl_core.git
vcs_version: release/0.61-indigo-kinetic
